<?php
if (!isset($rootdir))
	die("");

session_save_path($sessdir);
session_name("WEBMGR");
session_start();

require_once($srcdir."/user.php");
require_once($srcdir."/pages.php");
require_once($srcdir."/webmgrfn.php");

if ($userXML)
	$theUser = new userXML;
else if ($userTXT)
	$theUser = new userTXT;
else
	$theUser = new userSingle;

$theUser->Load();

if ($tocXML)
	$theTOC = new tocXML;
else if ($tocTXT)
	$theTOC = new tocTXT;
else
	$theTOC = new tocBase;

if (isset($_SESSION['login']))
	$theUser->InitUser($_SESSION['login']);

ProcessRequest();

require_once("$srcdir/head.php");

echo '<body><table id="wrap" cellpadding="0" cellspacing="0">';
if ($showStuff['banner']) 
{
	echo '<tr><td id="banner" valign="top" align="left">';
	include("$srcdir/banner.php");
	echo '</td></tr>';
}
echo '<tr><table id="interior" cellpadding="0" cellspacing="0"><tr>';
if ($showStuff['lside']) 
{
	echo '<td id="lsidebar" valign="top" align="left" >';
	include("$srcdir/lside.php");
	echo '</td>';
}
echo '<td id="stuff" valign="top" align="left">';
include("$srcdir/stuff.php");
echo '</td>';
if ($showStuff['rside'])
{
	echo '<td id="rsidebar" valign="top" align="left">';
	include("$srcdir/rside.php");
	echo '</td>';
}
echo '</tr></table></tr>';
if ($showStuff['footer']) 
{
	echo '<tr><td id="footer" valign="top" align="left">';
	include("$srcdir/footer.php");
	echo '</td>';
}
echo '</tr></table></body></html>';

?>
