<?php
if (!isset($rootdir))
	die("no root");

$baseweb = 'http://'.$_SERVER['SERVER_NAME'];

// root url is the URL for the parent directory, the one containing index.php
// for the main website this is usually the same as $baseweb, but needs to be modified for sub-webs
$rooturl = $baseweb."/";

// mceurl points to the TinyMCE editor source. It mus be a valid URI. Note the / at the end!
$mceurl  = "$baseweb/tiny_mce/";

// variables ending in 'dir' are file system directories, not URIs
$pagedir = "$rootdir/pages";
$uplddir = "$rootdir/uploads";
$imgsdir = "$rootdir/images";
$sndsdir = "$rootdir/sounds";
$srcdir  = "$rootdir/src";
$styldir = "$rootdir/styles";
$sessdir = "$rootdir/sessions";

// datadir is where user account and other sensitive, non-display information
// is stored. You probably want to move $datadir to above the website root,
// e.g. /public_html/data, so that the file can never be reached by visitors.
// Setting this for each sub-web means you have different user accounts for each.
$datadir = $rootdir."/data";

$siteTitle = "Very Simple Website Manager";
$keywords = "CMS, wiki";
$siteDesc  = "A very simple website manager.";
$copyright = "Very Simple Website Manager &copy; 2008, Daniel R. Mitchell";

// these flags control the method for the user accounts
// setting both to false creates a single-user system
$userXML = true;
$userTXT = false;

// these flags control the TOC method.
// setting both false uses a directory listing for TOC
$tocXML = true;
$tocTXT = false;

// This flag is the default that controls editing of pages.
// editfancy=true loads the TinyMCE editor
$editfancy = true;

// This sets the number of items returned for an RSS feed
// To disable RSS, set it to 0
$rsscount = 10;

// show flags
$showStuff = array("banner" => true, "lside" => true, "rside" => true, "footer" => true, "login" => true);

// stuff, edit and showmsg control which content is loaded next
// leave these blank as they are only defined here to be globally defined.
$stuff="";
$edit= "";
$editdata = "";
$editusr = "";
$showmsg = "";

// Add any additional global vars here...
?>
